#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Sep 23 12:14:47 2021

@author: arya.yazdan-panah
"""

import os
from common3 import changeName
from tools_fsl import fslmaths


A = ["/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/AL059/V01/dpaROI/roi_svca/AL059_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/AL059/V02/dpaROI/roi_svca/AL059_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/AM062/V01/dpaROI/roi_svca/AM062_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/AM062/V02/dpaROI/roi_svca/AM062_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/BA055/V01/dpaROI/roi_svca/BA055_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/BG005/V01/dpaROI/roi_svca/BG005_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/BG005/V02/dpaROI/roi_svca/BG005_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/BP002/V01/dpaROI/roi_svca/BP002_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/BR005/V01/dpaROI/roi_svca/BR005_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/CA036/V01/dpaROI/roi_svca/CA036_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/CC021/V01/dpaROI/roi_svca/CC021_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/CF019/V01/dpaROI/roi_svca/CF019_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/CG107/V01/dpaROI/roi_svca/CG107_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/CN033/V01/dpaROI/roi_svca/CN033_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/CS008/V01/dpaROI/roi_svca/CS008_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/DC019/V01/dpaROI/roi_svca/DC019_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/DC026/V01/dpaROI/roi_svca/DC026_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/DL018/V01/dpaROI/roi_svca/DL018_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/DL018/V02/dpaROI/roi_svca/DL018_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/DM024/V01/dpaROI/roi_svca/DM024_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/DT009/V01/dpaROI/roi_svca/DT009_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/ET015/V01/dpaROI/roi_svca/ET015_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/ET015/V02/dpaROI/roi_svca/ET015_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/FC060/V01/dpaROI/roi_svca/FC060_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/FN003/V01/dpaROI/roi_svca/FN003_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/FN003/V02/dpaROI/roi_svca/FN003_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/GA003/V01/dpaROI/roi_svca/GA003_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/GI003/V01/dpaROI/roi_svca/GI003_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/GI003/V02/dpaROI/roi_svca/GI003_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/GM067/V01/dpaROI/roi_svca/GM067_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/GM067/V02/dpaROI/roi_svca/GM067_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/GS012/V01/dpaROI/roi_svca/GS012_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/GS012/V02/dpaROI/roi_svca/GS012_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/HF007/V01/dpaROI/roi_svca/HF007_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/LA020/V01/dpaROI/roi_svca/LA020_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/LA020/V02/dpaROI/roi_svca/LA020_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/LC093/V01/dpaROI/roi_svca/LC093_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/LC093/V02/dpaROI/roi_svca/LC093_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/LJ027/V01/dpaROI/roi_svca/LJ027_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MA015/V01/dpaROI/roi_svca/MA015_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MC001/V01/dpaROI/roi_svca/MC001_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MC001/V02/dpaROI/roi_svca/MC001_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MG011/V01/dpaROI/roi_svca/MG011_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MG011/V02/dpaROI/roi_svca/MG011_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MJ042/V01/dpaROI/roi_svca/MJ042_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MJ042/V02/dpaROI/roi_svca/MJ042_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MJ097/V01/dpaROI/roi_svca/MJ097_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MM013/V01/dpaROI/roi_svca/MM013_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MM013/V02/dpaROI/roi_svca/MM013_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MM038/V01/dpaROI/roi_svca/MM038_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MM038/V02/dpaROI/roi_svca/MM038_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MN018/V01/dpaROI/roi_svca/MN018_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MP046/V01/dpaROI/roi_svca/MP046_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/MP046/V02/dpaROI/roi_svca/MP046_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/NV058/V01/dpaROI/roi_svca/NV058_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/NV058/V02/dpaROI/roi_svca/NV058_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/PC090/V01/dpaROI/roi_svca/PC090_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/PC090/V02/dpaROI/roi_svca/PC090_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/PJ031/V01/dpaROI/roi_svca/PJ031_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/PJ031/V02/dpaROI/roi_svca/PJ031_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/PJ091/V01/dpaROI/roi_svca/PJ091_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/PJ091/V02/dpaROI/roi_svca/PJ091_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/RA010/V01/dpaROI/roi_svca/RA010_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/RD108/V01/dpaROI/roi_svca/RD108_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/RG074/V01/dpaROI/roi_svca/RG074_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/SA016/V01/dpaROI/roi_svca/SA016_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/SB002/V01/dpaROI/roi_svca/SB002_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/SJ008/V01/dpaROI/roi_svca/SJ008_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/SR028/V01/dpaROI/roi_svca/SR028_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/TF016/V01/dpaROI/roi_svca/TF016_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/TF016/V02/dpaROI/roi_svca/TF016_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/TJ022/V01/dpaROI/roi_svca/TJ022_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/TL066/V01/dpaROI/roi_svca/TL066_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/TL066/V02/dpaROI/roi_svca/TL066_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/TM096/V01/dpaROI/roi_svca/TM096_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/TM096/V02/dpaROI/roi_svca/TM096_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/ZL002/V01/dpaROI/roi_svca/ZL002_V01_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/ZL002/V02/dpaROI/roi_svca/ZL002_V02_dpa_carotid.nii.gz",
"/network/lustre/iss01/lubetzki-stankoff/clinic/DPAHC/data/process/ZM011/V01/dpaROI/roi_svca/ZM011_V01_dpa_carotid.nii.gz"]

for a in A:
    out = changeName(a, '_ero2')
    fslmaths(a, '-kernel', 'sphere', 2, '-ero', out)
